<?php

/*

	Plugin Name: Men Quotes On Women
	Plugin URI: http://www.joeswebtools.com/wordpress-plugins/men-quotes-on-women/
	Description: Adds a sidebar widget that displays randomly men's quotes about women and "being woman".
	Version: 1.1
	Author: Joe's Web Tools
	Author URI: http://www.joeswebtools.com/

	Copyright 2009 Philippe Paquet (email: philippe@paquet.net)

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

*/



function widget_men_quotes_on_women($args) {

	// Pre-2.6 compatibility
	if(!defined('WP_PLUGIN_URL')) {
		if(!defined('WP_CONTENT_URL')) {
			define('WP_CONTENT_URL', get_option('siteurl') . '/wp-content');
		}
		define('WP_PLUGIN_URL', WP_CONTENT_URL . '/plugins');
	}
	if(!defined('WP_PLUGIN_DIR')) {
		if(!defined('WP_CONTENT_DIR')) {
			define('WP_CONTENT_DIR', ABSPATH . 'wp-content');
		}
		define('WP_PLUGIN_DIR', WP_CONTENT_DIR . '/plugins');
	}

	// Get options
	$title = htmlspecialchars(get_option('widget_men_quotes_on_women_title'), ENT_QUOTES);

	// Help widget to conform to the active theme: before_widget, before_title and after_title
	extract($args);
	echo $before_widget . $before_title . $title . $after_title;

	// Get a quote
	$quote_array = file(WP_PLUGIN_DIR . '/men-quotes-on-women/men-quotes-on-women.dat');
	$rnd = rand(0, sizeof($quote_array) - 1);

	// Display the quote
	echo $quote_array[$rnd];
	echo '<div style="text-align: center;"><font face="arial" size="-3">Quotes from <a href="http://www.davincismuse.com">Da Vinci\'s Muse</a></font></div>';

	// Help widget to conform to the active theme: after_widget
	echo $after_widget;
}



function widget_men_quotes_on_women_control() {

	// Load language file
	$current_locale = get_locale();
	if(!empty($current_locale)) {
		$mo_file = dirname(__FILE__) . '/languages/men-quotes-on-women-' . $current_locale . ".mo";
		if(@file_exists($mo_file) && is_readable($mo_file)) {
			load_textdomain('men-quotes-on-women', $mo_file);
		}
	}

	// Update options if the form was posted
	if($_POST['widget-men-quotes-on-women-submit']) {

		// Title
		update_option('widget_men_quotes_on_women_title', strip_tags(stripslashes($_POST['widget-men-quotes-on-women-title'])));
	}

	// Title
	$title = htmlspecialchars(get_option('widget_men_quotes_on_women_title'), ENT_QUOTES);

	// The form fields
	echo '<label for="widget-men-quotes-on-women-title">' . __('Title: ', 'men-quotes-on-women') . '<br /><input type="text" class="widefat" id="widget-men-quotes-on-women-title" name="widget-men-quotes-on-women-title" value="' . $title . '" /></label><br />';
	echo '<br />';
	echo '<input type="hidden" id="widget-men-quotes-on-women-submit" name="widget-men-quotes-on-women-submit" value="1" />';
}



function widget_men_quotes_on_women_init() {

	if(function_exists('register_sidebar_widget')) {
		register_sidebar_widget('Men Quotes On Women', 'widget_men_quotes_on_women');
	}

	if(function_exists('register_widget_control')) {
		register_widget_control(array('Men Quotes On Women', 'widgets'), 'widget_men_quotes_on_women_control');
	}
}



function widget_men_quotes_on_women_activate() {

	// Load language file
	$current_locale = get_locale();
	if(!empty($current_locale)) {
		$mo_file = dirname(__FILE__) . '/languages/men-quotes-on-women-' . $current_locale . ".mo";
		if(@file_exists($mo_file) && is_readable($mo_file)) {
			load_textdomain('men-quotes-on-women', $mo_file);
		}
	}

	update_option('widget_men_quotes_on_women_title', __('Men Quotes On Women', 'men-quotes-on-women'));
	update_option('widget_men_quotes_on_women_alignment', 'left');
}



function widget_men_quotes_on_women_deactivate() {

	delete_option('widget_men_quotes_on_women_title');
	delete_option('widget_men_quotes_on_women_alignment');
}



add_action('plugins_loaded', 'widget_men_quotes_on_women_init');
register_activation_hook( __FILE__, 'widget_men_quotes_on_women_activate' );
register_deactivation_hook( __FILE__, 'widget_men_quotes_on_women_deactivate' );

?>